<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <ui:composition template="/WEB-INF/template/layout.xhtml">
        <!-- TITULO DE LA PAGINA -->
        <ui:define name="title">TITULO DE LA PAGINA</ui:define>

        <ui:define name="content">
            <!-- CONTENIDO -->

            <!-- BOTONES -->
            <p:commandButton value="BOTON" onclick="PF('Wnew').show();" class="button" />
            <p:commandButton value="BOTON" onclick="PF('Wnew').show();" class="icon icon-plus button" />
            <p:commandButton value="" onclick="PF('Wnew').show();" class="icon icon-plus button" />

            <!-- TABLA -->

            <f:view>


                <h:form>
                    <h1><h:outputText value="List"/></h1>
                    <p:dataTable value="#{employee.findAllTabla}" var="item">
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="IdE"/>
                            </f:facet>
                            <h:outputText value="#{item.idE}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="NameE"/>
                            </f:facet>
                            <h:outputText value="#{item.nameE}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="LastNameE"/>
                            </f:facet>
                            <h:outputText value="#{item.lastNameE}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="BirthdayE"/>
                            </f:facet>
                            <p:calendar pattern="MM/dd/yyyy" value="#{item.birthdayE}" disabled="true" />
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="DuiE"/>
                            </f:facet>
                            <h:outputText value="#{item.duiE}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="NitE"/>
                            </f:facet>
                            <h:outputText value="#{item.nitE}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="IsssE"/>
                            </f:facet>
                            <h:outputText value="#{item.isssE}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="CountryE"/>
                            </f:facet>
                            <h:outputText value="#{item.countryE}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="ApfE"/>
                            </f:facet>
                            <h:outputText value="#{item.apfE}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="NupE"/>
                            </f:facet>
                            <h:outputText value="#{item.nupE}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="GenderE"/>
                            </f:facet>
                            <h:outputText value="#{item.genderE}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="CivilStatusE"/>
                            </f:facet>
                            <h:outputText value="#{item.civilStatusE}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="PassportE"/>
                            </f:facet>
                            <h:outputText value="#{item.passportE}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="AddressE"/>
                            </f:facet>
                            <h:outputText value="#{item.addressE}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="HiredDateE"/>
                            </f:facet>
                            <h:outputText value="#{item.hiredDateE}">
                                <f:convertDateTime pattern="dd/MM/yyyy" />
                            </h:outputText>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="IdU"/>
                            </f:facet>
                            <h:outputText value="#{item.idU}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="NameU"/>
                            </f:facet>
                            <h:outputText value="#{item.nameU}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="PassU"/>
                            </f:facet>
                            <h:outputText value="#{item.passU}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="GroupU"/>
                            </f:facet>
                            <h:outputText value="#{item.groupU}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="EmailU"/>
                            </f:facet>
                            <h:outputText value="#{item.emailU}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="RecoveryU"/>
                            </f:facet>
                            <h:outputText value="#{item.recoveryU}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="StatusU"/>
                            </f:facet>
                            <h:outputText value="#{item.statusU}"/>
                        </p:column>
                        <p:column>
                            <p:menuButton value="Acciones" class="menu-button">
                                <p:menuitem value="Editar" update="Uedit" class="icon icon-pencil menu-item" onclick="PF('Wedit').show();" />
                                <p:menuitem value="Eliminar" update="dataTable" class="icon icon-cross" />
                            </p:menuButton>
                        </p:column>
                    </p:dataTable>
                </h:form>
            </f:view>


            <!-- VENTANA EDITAR -->            

            <!-- VENTANA NUEVO -->
            <p:dialog widgetVar="Wnew" modal="true" showEffect="fade" hideEffect="fade" header="NUEVO" resizable="false" class="dialog-w">
                <h:form id="Cnew">
                    <p:panelGrid columns="2">
                        <h:outputLabel value="NOMBRE:" for="nom" />
                        <p:inputText id="nom" value="" required="true" requiredMessage="Ingrese nombre" />

                        <h:outputLabel value="APELLIDO:" for="ape" />
                        <p:inputText id="ape" value="" required="true" requiredMessage="Ingrese apellido" />
                        
                        <h:outputLabel value="DIRECCION:" for="dir" />
                        <p:inputText id="dir" value="" required="true" requiredMessage="Ingrese dirección" />
                        
                        <h:column />
                        <p:commandButton value="Guardar" update="dataTable" class="icon icon-floppy-disk" />
                    </p:panelGrid>
                </h:form>
            </p:dialog>
            
            <!-- VENTANA EDITAR -->            
            <p:dialog widgetVar="Wedit" modal="true" showEffect="fade" hideEffect="fade" header="EDITAR" resizable="false">
                <h:form id="Uedit">
                    <p:panelGrid columns="2">
                        <h:outputLabel value="NOMBRE:" for="Unom" />
                        <p:inputText id="Unom" value="" rendered="true" requiredMessage="Ingrese nombre" />

                        <h:outputLabel value="APELLIDO:" for="Uape" />
                        <p:inputText id="Uape" value="" required="true" requiredMessage="Ingrese apellido" />
                        
                        <h:outputLabel value="DIRECCION:" for="Udir" />
                        <p:inputText id="Udir" value="" required="true" requiredMessage="Ingrese dirección" />
                        
                        <h:column />
                        <p:commandButton value="Guardar" update="dataTable" class="icon icon-floppy-disk" />
                    </p:panelGrid>
                </h:form>
            </p:dialog>
        </ui:define>
    </ui:composition>
</html>

